## Loops on all players each tick
# Start
execute if data entity @s SelectedItem.tag.NagaCompass run tag @s add HasCompass
# Runs when holding naga compass, and updates it to point correctly
execute if entity @s[tag=HasCompass] run item modify entity @s weapon.mainhand naga:compass
# Makes the structure door open with compass
execute if entity @s[tag=HasCompass] as @e[type=marker,tag=naga.Door,distance=..5] run function naga:structure/door
# Gives the loot power, so you can find compass
power grant @s naga:loot naga:naga

# Snakes.Credits
scoreboard players enable @s Snakes.Credits
execute if score @s Snakes.Credits matches 1.. run tellraw @s ["",{"text":"\n"},{"text":"Serpentine Legendary Origin Credits","color":"gold"},{"text":"\n"},{"text":"   ","color":"aqua"},{"text":"Planet Minecraft(Bug reports go here)","color":"aqua","clickEvent":{"action":"open_url","value":"https://www.planetminecraft.com/member/vexxen0725/"}},{"text":"\n   ","color":"aqua"},{"text":"Modrinth","color":"aqua","clickEvent":{"action":"open_url","value":"https://modrinth.com/mods"}},{"text":"\n   ","color":"aqua"},{"text":"Personal Discord(Bug reports go here)","color":"aqua","clickEvent":{"action":"open_url","value":"https://discord.gg/T3xwZDUd9Z"}},{"text":"\n\n   ","color":"aqua"},{"text":"Origin Mod","color":"aqua","clickEvent":{"action":"open_url","value":"https://modrinth.com/mod/origins"}},{"text":"\n "}]
execute if score @s Snakes.Credits matches 1.. run scoreboard players reset @s Snakes.Credits

# End
tag @s remove HasCompass
